### Virtual Method

# EDataServer OAuth2Service get_redirect_uri

since: 3.28

#### Declaration [src]

    const gchar*
    get_redirect_uri (
      EOAuth2Service* service,
      ESource* source
    )

#### Description [src]

Returns a value for the “redirect_uri” keys in the authenticate and get_token operations. The default implementation returns “urn:ietf:wg:oauth:2.0:oob”.

Available since: 3.28

#### Parameters

`source`

  Type: `ESource`

  An associated `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `const gchar*`

The redirect_uri to use, or `NULL` for none.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.